RDCode: RDGeom::PointND Class Reference

# RDGeom::PointND Class Reference

`#include <point.h>`

Inheritance diagram for RDGeom::PointND:

List of all members.

## Public Types
typedef boost::shared_ptr < RDNumeric::Vector< double > > | VECT_SH_PTR
## Public Member Functions
| PointND (unsigned int dim)
| PointND (const PointND &other)
| ~PointND ()
double | operator[] (unsigned int i) const
double & | operator[] (unsigned int i)
void | normalize ()
double | length () const
double | lengthSq () const
unsigned int | dimension () const
PointND & | operator= (const PointND &other)
PointND & | operator+= (const PointND &other)
PointND & | operator-= (const PointND &other)
PointND & | operator*= (double scale)
PointND & | operator/= (double scale)
PointND | directionVector (const PointND &other)
double | dotProduct (const PointND &other) const
double | angleTo (const PointND &other) const

## Detailed Description

Definition at line 373 of file point.h.

## Member Typedef Documentation

typedef boost::shared_ptr<RDNumeric::Vector<double> > RDGeom::PointND::VECT_SH_PTR

Definition at line 376 of file point.h.

## Constructor & Destructor Documentation

RDGeom::PointND::PointND | ( | unsigned int | dim | ) | `[inline]`

Definition at line 378 of file point.h.

RDGeom::PointND::PointND | ( | const PointND & | other | ) | `[inline]`

Definition at line 383 of file point.h.

References getStorage().

RDGeom::PointND::~PointND | ( |  | ) | `[inline]`

Definition at line 404 of file point.h.

## Member Function Documentation

double RDGeom::PointND::operator[] | ( | unsigned int | i | ) | const`[inline, virtual]`

Implements RDGeom::Point.

Definition at line 406 of file point.h.

double& RDGeom::PointND::operator[] | ( | unsigned int | i | ) | `[inline, virtual]`

Implements RDGeom::Point.

Definition at line 410 of file point.h.

void RDGeom::PointND::normalize | ( |  | ) | `[inline, virtual]`

Implements RDGeom::Point.

Definition at line 414 of file point.h.

double RDGeom::PointND::length | ( |  | ) | const`[inline, virtual]`

Implements RDGeom::Point.

Definition at line 418 of file point.h.

Referenced by angleTo().

double RDGeom::PointND::lengthSq | ( |  | ) | const`[inline, virtual]`

Implements RDGeom::Point.

Definition at line 422 of file point.h.

unsigned int RDGeom::PointND::dimension | ( |  | ) | const`[inline, virtual]`

Implements RDGeom::Point.

Definition at line 426 of file point.h.

Referenced by directionVector().

PointND& RDGeom::PointND::operator= | ( | const PointND & | other | ) | `[inline]`

Definition at line 430 of file point.h.

References getStorage().

PointND& RDGeom::PointND::operator+= | ( | const PointND & | other | ) | `[inline]`

Definition at line 436 of file point.h.

References getStorage().

PointND& RDGeom::PointND::operator-= | ( | const PointND & | other | ) | `[inline]`

Definition at line 441 of file point.h.

References getStorage().

PointND& RDGeom::PointND::operator*= | ( | double | scale | ) | `[inline]`

Definition at line 446 of file point.h.

PointND& RDGeom::PointND::operator/= | ( | double | scale | ) | `[inline]`

Definition at line 451 of file point.h.

PointND RDGeom::PointND::directionVector | ( | const PointND & | other | ) | `[inline]`

Definition at line 456 of file point.h.

References dimension(), and PRECONDITION.

double RDGeom::PointND::dotProduct | ( | const PointND & | other | ) | const`[inline]`

Definition at line 464 of file point.h.

References getStorage().

Referenced by angleTo().

double RDGeom::PointND::angleTo | ( | const PointND & | other | ) | const`[inline]`

Definition at line 468 of file point.h.

References dotProduct(), and length().

The documentation for this class was generated from the following file:

- point.h